Skip to main content
GET
/
api
/
v0
/
transactions
Get transactions
curl --request GET \
  --url https://api.example.com/api/v0/transactions \
  --header 'Authorization: Bearer <token>'
[
  {
    "originAsset": "nep141:eth-0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48.omft.near",
    "destinationAsset": "nep141:17208628f84f5d6ad33f0da3bbbeb27ffcb398eac501a31bd6ad2011e36133a1",
    "depositAddress": "GDJ4JZXZELZD737NVFORH4PSSQDWFDZTKW3AIDKHYQG23ZXBPDGGQBJK",
    "depositAddressAndMemo": "GDJ4JZXZELZD737NVFORH4PSSQDWFDZTKW3AIDKHYQG23ZXBPDGGQBJK_12345",
    "recipient": "somebody.near",
    "status": "SUCCESS",
    "createdAt": "2025-12-31T12:00:00.000Z",
    "createdAtTimestamp": 1767182400,
    "intentHashes": "GnGk38hvi92tTWDYMMS8CWYnVT4fixmfBrnqSErCDMTu",
    "referral": "some-referral",
    "amountInFormatted": "22.130108",
    "amountOutFormatted": "22.113697",
    "appFees": [
      {
        "fee": 50,
        "recipient": "some.near"
      },
      {
        "fee": 5,
        "recipient": "somebody.near"
      }
    ],
    "nearTxHashes": [
      "6XqqDwoaopgg39QsEiFGs9HfwP2Vum9tCCyqHDYXWBBH",
      "EVcgKukwf38XsYcgvkEgiMPWR7qwLfLK5rsVtjgctPBn"
    ],
    "originChainTxHashes": [
      "0x9bcff372aee89b648c922b850573b22387c31d693079f5e37cd255814e2d615a"
    ],
    "destinationChainTxHashes": [
      "0x9bcff372aee89b648c922b850573b22387c31d693079f5e37cd255814e2d615a"
    ],
    "amountIn": "22130108",
    "amountInUsd": "22.1272",
    "amountOut": "22113697",
    "amountOutUsd": "22.1108",
    "refundTo": "somebody.near",
    "senders": [
      "0x1234567890abcdef1234567890abcdef12345678"
    ],
    "refundReason": "AMOUNT_MORE_THAN_BALANCE"
  }
]

Authorizations

Authorization
string
header
required

JWT token for API authentication.

Query Parameters

numberOfTransactions
number

The number of transactions to return. Default: 50. Max: 1000. Min: 1.

Required range: 1 <= x <= 1000
lastDepositAddressAndMemo
string

Last known depositAddressAndMemo value for pagination. Use the depositAddressAndMemo from the last transaction of the previous page.

lastDepositAddress
string

DEPRECATED: Use lastDepositAddressAndMemo instead. Last known deposit address for pagination.

direction
enum<string>

Direction of pagination. next - get older transactions, prev - get newer transactions. Default: next.

Available options:
next,
prev

Search by deposit address, recipient, sender, or tx hash.

fromChainId
enum<string>

Filter by origin chain ID.

Available options:
near,
eth,
base,
arb,
btc,
sol,
ton,
doge,
xrp,
zec,
gnosis,
bera,
bsc,
pol,
tron,
sui,
op,
avax,
cardano,
stellar,
aptos,
ltc,
monad,
xlayer,
starknet,
bch,
adi,
plasma,
scroll
fromTokenId
string

Filter by origin token ID. Overrides fromChainId.

toChainId
enum<string>

Filter by destination chain ID.

Available options:
near,
eth,
base,
arb,
btc,
sol,
ton,
doge,
xrp,
zec,
gnosis,
bera,
bsc,
pol,
tron,
sui,
op,
avax,
cardano,
stellar,
aptos,
ltc,
monad,
xlayer,
starknet,
bch,
adi,
plasma,
scroll
toTokenId
string

Filter by destination token ID. Overrides toChainId. Overrides fromTokenId.

referral
string

Filter by referral.

affiliate
string

Filter by an affiliate stored in the fees.

statuses
string

Filter by comma-separated statuses. Allowed values: FAILED, INCOMPLETE_DEPOSIT, PENDING_DEPOSIT, PROCESSING, REFUNDED, SUCCESS. Default: FAILED, PROCESSING, REFUNDED, SUCCESS.

showTestTxs
string

Show transactions from test accounts and with test-related referrals.

minUsdPrice
number | null

Filter by minimum USD price for both input and output amounts.

Required range: x >= 0
maxUsdPrice
number | null

Filter by maximum USD price for both input and output amounts.

Required range: x >= 0
endTimestamp
string<date> | null

Filter by end timestamp (non-inclusive). Use ISO 8601 format.

endTimestampUnix
number | null

Filter by end timestamp (non-inclusive). Use Unix timestamp.

startTimestamp
string<date> | null

Filter by start timestamp (non-inclusive). Use ISO 8601 format.

startTimestampUnix
number | null

Filter by start timestamp (non-inclusive). Use Unix timestamp.

Response

Transactions

originAsset
string
required
Example:

"nep141:eth-0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48.omft.near"

destinationAsset
string
required
Example:

"nep141:17208628f84f5d6ad33f0da3bbbeb27ffcb398eac501a31bd6ad2011e36133a1"

depositAddress
string
required

The deposit address.

Example:

"GDJ4JZXZELZD737NVFORH4PSSQDWFDZTKW3AIDKHYQG23ZXBPDGGQBJK"

depositAddressAndMemo
string
required

Combined deposit address and memo. Use this value for pagination with lastDepositAddressAndMemo parameter.

Example:

"GDJ4JZXZELZD737NVFORH4PSSQDWFDZTKW3AIDKHYQG23ZXBPDGGQBJK_12345"

recipient
string
required
Example:

"somebody.near"

status
enum<string>
required
Available options:
SUCCESS,
FAILED,
INCOMPLETE_DEPOSIT,
PENDING_DEPOSIT,
PROCESSING,
REFUNDED
Example:

"SUCCESS"

createdAt
string
required
Example:

"2025-12-31T12:00:00.000Z"

createdAtTimestamp
number
required
Example:

1767182400

intentHashes
string | null
required
Example:

"GnGk38hvi92tTWDYMMS8CWYnVT4fixmfBrnqSErCDMTu"

referral
string | null
required
Example:

"some-referral"

amountInFormatted
string
required
Example:

"22.130108"

amountOutFormatted
string
required
Example:

"22.113697"

appFees
object[]
required
Example:
[
{ "fee": 50, "recipient": "some.near" },
{ "fee": 5, "recipient": "somebody.near" }
]
nearTxHashes
string[]
required
Example:
[
"6XqqDwoaopgg39QsEiFGs9HfwP2Vum9tCCyqHDYXWBBH",
"EVcgKukwf38XsYcgvkEgiMPWR7qwLfLK5rsVtjgctPBn"
]
originChainTxHashes
string[]
required
Example:
[
"0x9bcff372aee89b648c922b850573b22387c31d693079f5e37cd255814e2d615a"
]
destinationChainTxHashes
string[]
required
Example:
[
"0x9bcff372aee89b648c922b850573b22387c31d693079f5e37cd255814e2d615a"
]
amountIn
string
required
Example:

"22130108"

amountInUsd
string
required
Example:

"22.1272"

amountOut
string
required
Example:

"22113697"

amountOutUsd
string
required
Example:

"22.1108"

refundTo
string
required
Example:

"somebody.near"

senders
string[]
required
Example:
[
"0x1234567890abcdef1234567890abcdef12345678"
]
refundReason
string | null

Known values: AMOUNT_LESS_THAN_MIN_AMOUNT_OUT, AMOUNT_MORE_THAN_BALANCE, INTENT_SUBMIT_FAILED, PARTIAL_DEPOSIT, CIRCUIT_BREAKER_BLOCKED, FEE_ESTIMATION_FAILED, NO_LIQUIDITY, AMOUNT_LESS_THAN_MIN_WITHDRAWABLE, INSUFFICIENT_BALANCE, REFUND_ADD_FAILED, UNKNOWN

Example:

"AMOUNT_MORE_THAN_BALANCE"